##
## This file is part of the ViTE project.
##
## This software is governed by the CeCILL-A license under French law
## and abiding by the rules of distribution of free software. You can
## use, modify and/or redistribute the software under the terms of the
## CeCILL-A license as circulated by CEA, CNRS and INRIA at the following
## URL: "http://www.cecill.info".
## 
## As a counterpart to the access to the source code and rights to copy,
## modify and redistribute granted by the license, users are provided
## only with a limited warranty and the software's author, the holder of
## the economic rights, and the successive licensors have only limited
## liability.
## 
## In this respect, the user's attention is drawn to the risks associated
## with loading, using, modifying and/or developing or reproducing the
## software by the user in light of its specific status of free software,
## that may mean that it is complicated to manipulate, and that also
## therefore means that it is reserved for developers and experienced
## professionals having in-depth computer knowledge. Users are therefore
## encouraged to load and test the software's suitability as regards
## their requirements in conditions enabling the security of their
## systems and/or data to be ensured and, more generally, to use and
## operate it in the same conditions as regards security.
## 
## The fact that you are presently reading this means that you have had
## knowledge of the CeCILL-A license and that you accept its terms.
##
##
## ViTE developers are (for version 0.* to 1.0):
##
##        - COULOMB Kevin
##        - FAVERGE Mathieu
##        - JAZEIX Johnny
##        - LAGRASSE Olivier
##        - MARCOUEILLE Jule
##        - NOISETTE Pascal
##        - REDONDY Arthur
##        - VUCHENER Clément 
##
######################################################################
# Automatically generated by qmake (2.01a) mar. mars 3 19:58:07 2009
######################################################################

#RESOURCES= vite.qrc
OBJECTS_DIR=../bin
DESTDIR=../bin
CONFIG+=uitools
QT+=opengl
TEMPLATE = app
TARGET = vite
#macx:QMAKE_LIBS_OPENGL += -framework GLUT -lobjc
macx:QMAKE_LIBS_OPENGL += -framework -lobjc
DEPENDPATH += . 
INCLUDEPATH += .
QMAKE_CFLAGS   += -O2 -Wall
QMAKE_CXXFLAGS += -O2 -Wall

#TRANSLATIONS = ViTE_fr.ts 

#LIBS += -lGLEW

macx {
 QMAKESPEC = macx-g++
 ICON = interface/icon/mac_logo.icns
}

# Input
HEADERS += common/common.hpp  \
           common/Message.hpp \
           common/Errors.hpp  \
           common/Tools.hpp   \
           common/info.hpp    \
           common/Session.hpp \
# Interface headers
           interface/interface.hpp         \
           interface/Settings_window.hpp   \
           interface/Interface_graphic.hpp \
           interface/resource.hpp          \
# Core header
           core/Core.hpp  \
# Render headers
           render/Palette.hpp             \
           render/Render.hpp              \
           render/Geometry.hpp            \
           render/Ruler.hpp               \
           render/Hook_event.hpp          \
           render/Minimap.hpp             \
           render/Render_opengl.hpp       \
           render/Render_svg.hpp          \
           render/render_stats.hpp        \
           render/render_stats_opengl.hpp \
           render/render_stats_svg.hpp    \
#           render/Render_alternate.hpp     \
#           render/vbo.hpp                  \
# Parser headers
           parser/Parser.hpp               \
           parser/ParserFactory.hpp        \
           parser/ParsingThread.hpp        \
           parser/PajeDefinition.hpp       \
           parser/PajeFileManager.hpp      \
           parser/ParserDefinitionPaje.hpp \
           parser/ParserEventPaje.hpp      \
           parser/ParserPaje.hpp           \
           parser/ParserVite.hpp           \
# Data structure headers
           trace/Container.hpp       \
           trace/ContainerType.hpp   \
           trace/DrawTrace.hpp       \
           trace/DrawTree.hpp        \
           trace/Entity.hpp          \
           trace/EntityType.hpp      \
           trace/EntityValue.hpp     \
           trace/Event.hpp           \
           trace/EventType.hpp       \
           trace/State.hpp           \
           trace/StateChange.hpp     \
           trace/StateType.hpp       \
           trace/Link.hpp            \
           trace/LinkType.hpp        \
           trace/Variable.hpp        \
           trace/VariableType.hpp    \
           trace/Trace.hpp           \
           trace/values/Color.hpp    \
           trace/values/Date.hpp     \
           trace/values/Double.hpp   \
           trace/values/Hex.hpp      \
           trace/values/Integer.hpp  \
           trace/values/Name.hpp     \
           trace/values/String.hpp   \
           trace/values/Value.hpp    \
           trace/values/Values.hpp   \
           trace/tree/BinaryTree.hpp \
           trace/tree/Node.hpp       \
           trace/tree/Interval.hpp   \
# Statistics headers
           statistics/Stats_window.hpp \
           statistics/Statistic.hpp    \
           statistics/DrawStats.hpp    \
           statistics/DrawVDiagram.hpp \
           statistics/DrawHDiagram.hpp \
          statistics/DrawCounter.hpp   \
# Plugin header
           plugin/Command_window.hpp \
           plugin/Plugin_window.hpp  \
           plugin/Plugin.hpp         \
# QtColorPicker              
	   qtcolorpicker.h

FORMS   += interface/info_window.ui          \
	   interface/main_window.ui          \
	   interface/option_export_window.ui \
           interface/settings.ui             \
           interface/stats_viewer.ui         \
           interface/global_cmd.ui           \
           interface/list_of_counter_to_export.ui

SOURCES += common/Message.cpp \
           common/Errors.cpp  \
           common/Tools.cpp   \
           common/Info.cpp    \
           common/Session.cpp \
# Data structure code files
           trace/values/Color.cpp   \
           trace/values/Date.cpp    \
           trace/values/Double.cpp  \
           trace/values/Hex.cpp     \
           trace/values/Integer.cpp \
           trace/values/Name.cpp    \
           trace/values/String.cpp  \
           trace/EntityType.cpp     \
           trace/ContainerType.cpp  \
           trace/EventType.cpp 	    \
           trace/StateType.cpp 	    \
           trace/LinkType.cpp 	    \
           trace/VariableType.cpp   \
           trace/EntityValue.cpp    \
           trace/Entity.cpp 	    \
           trace/Event.cpp 	    \
           trace/State.cpp 	    \
           trace/StateChange.cpp    \
           trace/Link.cpp 	    \
           trace/Variable.cpp 	    \
           trace/Container.cpp 	    \
           trace/tree/Interval.cpp  \
           trace/Trace.cpp 	    \
# Parser code files
           parser/Parser.cpp               \
           parser/ParserFactory.cpp        \
           parser/ParsingThread.cpp    	   \
           parser/PajeDefinition.cpp 	   \
           parser/PajeFileManager.cpp      \
           parser/ParserDefinitionPaje.cpp \
           parser/ParserEventPaje.cpp 	   \
           parser/ParserPaje.cpp 	   \
           parser/ParserVite.cpp           \
# Render code files
           render/Palette.cpp             \
           render/Geometry.cpp  	  \
           render/Ruler.cpp               \
           render/Hook_event.cpp 	  \
           render/Render.hpp     	  \
           render/Minimap.cpp 	          \
           render/Render_opengl.cpp 	  \
           render/Render_svg.cpp 	  \
           render/render_stats_opengl.cpp \
           render/render_stats_svg.cpp    \
#           render/Render_alternate.cpp    \
#           render/vbo.cpp                 \
# Statistics code files
           statistics/Stats_window.cpp \
           statistics/Statistic.cpp    \
# Interface code files
           interface/Settings_window.cpp   \
           interface/interface_graphic.cpp \
# Core code file
           core/Core.cpp \
# Plugin code file
           plugin/Command_window.cpp \
           plugin/Plugin_window.cpp  \
           plugin/Plugin.cpp         \
# QtColorPicker              
	   qtcolorpicker.cpp \
# Main code file
           main.cpp

RESOURCES += interface/vite.qrc

# Windows icon
RC_FILE = interface/windows_icon.rc
